using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using Havit.Data.Patterns.Repositories;
using DiplomovaPrace.Model.Orders;

namespace DiplomovaPrace.DataLayer.Repositories.Orders
{
	public partial interface IOrderRepository
	{
		Task<List<Order>> GetAllByAddressIDAsync(int id);

		Task<List<Order>> GetAllByUserID(int id);

		Task<Order> GetOrderInCartByCustomerIDAsync(int id);
	}
}